summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcommit.d/99git-push10
-rwxr-xr-xcommit.d/99push7
-rw-r--r--etckeeper.conf3
3 files changed, 9 insertions, 11 deletions
diff --git a/commit.d/99git-push b/commit.d/99git-push
deleted file mode 100755
index 0c3cdd1..0000000
--- a/commit.d/99git-push
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/bin/sh
-set -e
-
-if [ "$VCS" = git ] && [ -d .git ] && [ -n "$PUSH_REMOTE" ]; then
- if git config --get remote.$PUSH_REMOTE.url; then
- git push $PUSH_REMOTE master
- else
- echo "etckeeper warning: Configured remote '$PUSH_REMOTE' is unknown to git"
- fi
-fi
diff --git a/commit.d/99push b/commit.d/99push
new file mode 100755
index 0000000..9c1844c
--- /dev/null
+++ b/commit.d/99push
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+if [ "$VCS" = git ] && [ -d .git ] && [ -n "$PUSH_REMOTE" ]; then
+ git push "$PUSH_REMOTE" master || true
+else
+ echo "PUSH_REMOTE not yet supported for $VCS" >&2
+fi
diff --git a/etckeeper.conf b/etckeeper.conf
index ccd7684..80609f4 100644
--- a/etckeeper.conf
+++ b/etckeeper.conf
@@ -37,5 +37,6 @@ HIGHLEVEL_PACKAGE_MANAGER=apt
# (dpkg, rpm, pacman-g2, etc)
LOWLEVEL_PACKAGE_MANAGER=dpkg
-# Upstream remote
+# To push each commit to a remote, put the name of the remote here.
+# (eg, "origin" for git).
PUSH_REMOTE=""